##用户权限交互
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>layui</title>
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <link rel="stylesheet" href="static/lib/layui-v2.6.3/css/layui.css" media="all">
    <link rel="stylesheet" href="static/css/public.css" media="all">
</head>
<body>
<div class="layuimini-container">
    <div class="layuimini-main">


        <script type="text/html" id="currentTableBar">
            <a class="layui-btn layui-btn-normal layui-btn-xs data-count-edit" lay-event="edit">设置超级管理员</a>
            <a class="layui-btn layui-btn-xs layui-btn-danger data-count-delete" lay-event="delete">删除</a>
        </script>
        <table class="layui-hide" id="currentTableId" lay-filter="currentTableFilter"></table>



    </div>
</div>
<script src="static/lib/layui-v2.6.3/layui.js" charset="utf-8"></script>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

<script>
    layui.use(['form', 'table'], function () {
        var $ = layui.jquery,
            form = layui.form,
            table = layui.table;

        table.render({
            elem: '#currentTableId',
            url: '../api_user',
            toolbar: '#toolbarDemo',
            defaultToolbar: ['filter', 'exports', 'print', {
                title: '提示',
                layEvent: 'LAYTABLE_TIPS',
                icon: 'layui-icon-tips'
            }],
            cols: [[
                {type: "checkbox", width: 50},
                {field: 'id', title: 'ID', sort: true},
                {field: 'username', title: '用户名'},
              {field: 'quanxian', title: '权限'},
               {field: 'at',  title: '注册时间', sort: true},
                {title: '操作', minWidth: 150, toolbar: '#currentTableBar', align: "center"}
            ]],
            limits: [10, 15, 20, 25, 50, 100],
            limit: 15,
            page: true,
            skin: 'line'
        });

        // 监听搜索操作
        form.on('submit(data-search-btn)', function (data) {
            var result = JSON.stringify(data.field);
            layer.alert(result, {
                title: '最终的搜索信息'
            });

            //执行搜索重载
            table.reload('currentTableId', {
                page: {
                    curr: 1
                }
                , where: {
                    searchParams: result
                }
            }, 'data');

            return false;
        });

        /**
         * toolbar监听事件
         */
        table.on('toolbar(currentTableFilter)', function (obj) {
            if (obj.event === 'add') {  // 监听添加操作
                var index = layer.open({
                    title: '添加用户',
                    type: 2,
                    shade: 0.2,
                    maxmin:true,
                    shadeClose: true,
                    area: ['100%', '100%'],
                    content: '../page/table/add.html',
                });
                $(window).on("resize", function () {
                    layer.full(index);
                });
            } else if (obj.event === 'delete') {  // 监听删除操作
                var checkStatus = table.checkStatus('currentTableId')
                    , data = checkStatus.data;
                layer.alert(JSON.stringify(data));
            }
        });

        //监听表格复选框选择
        table.on('checkbox(currentTableFilter)', function (obj) {
            console.log(obj)
        });

        table.on('tool(currentTableFilter)', function (obj) {
            var data = obj.data;
            if (obj.event === 'edit') {
       $.ajax({
    url: '/api_Superadmin', // 请求的URL
    type: 'GET', // 请求类型（GET, POST等）
    data:{'id':data.id },
    dataType: 'json', // 预期服务器返回的数据类型（json, xml, html等）
    success: function(data, textStatus, jqXHR) {
      if(data.code==0)
      {
          layer.msg(data.msg)

      }
      else
      {
         layer.msg(data.msg)
      }

    },
    error: function(jqXHR, textStatus, errorThrown) {
        // 请求失败时执行的回调函数
        console.error('Error: ' + textStatus, errorThrown);
    }
});
            } else if (obj.event === 'delete') {
              $.ajax({
    url: '/delete_username', // 请求的URL
    type: 'GET', // 请求类型（GET, POST等）
    data:{'id':data.id },
    dataType: 'json', // 预期服务器返回的数据类型（json, xml, html等）
    success: function(data, textStatus, jqXHR) {
      if(data.code==0)
      {
          layer.msg(data.msg)

      }
      else
      {
         layer.msg(data.msg)
      }

    },
    error: function(jqXHR, textStatus, errorThrown) {
        // 请求失败时执行的回调函数
        console.error('Error: ' + textStatus, errorThrown);
    }
});
            }
        });

    });
</script>

</body>
</html>